# flutter_iiif

A flutter implementation for IIIF images. 

Find more information on IIIF here:
[IIIF specs](https://iiif.io/api/image/2.0/)


## Basic usage:

In  your pubspec.yaml:
```
dependencies:
  flutter:
    sdk: flutter
  flutter_iiif:^0.0.1
```

import:
```dart
import 'package:flutter_iiif/flutter_iiif.dart';
```

Add the following code to your widget-tree:
```dart
IIIFImage(
    settings:IIIFImageSettings(
        server: 'http://your_iiif_server/', 
        assetID: 'filname_or_assetID', 
        quality: '[default|gray|colorize].[jpg|png etc]'
     );
);
```

## Demo

Look in the examples folder.