class IIIFImageMeta {
  double width;
  double height;
  final dynamic json;

  IIIFImageMeta({this.json}) {
    width = (json['width'] ?? 100).toDouble();
    height = (json['height'] ?? 200).toDouble();
  }

  factory IIIFImageMeta.fromJSON(dynamic json) {
    return new IIIFImageMeta(json: json);
  }

  @override
  String toString() {
    return 'IIIFImageMeta($width,$height)';
  }
}
