import 'IIIFImageMeta.dart';
import 'package:flutter/foundation.dart' show required;
import 'package:flutter/material.dart';

class IIIFImageSettings {
  //
  //
  //

  String server;
  String quality;
  double tileSize;
  String assetID;

  ChangeNotifier notifier = ChangeNotifier();

  //
  //
  // HOLDS THE DYNAMICLY LOADED IMAGE META DATA
  IIIFImageMeta meta;
  //
  //
  IIIFImageSettings({@required this.server, @required this.assetID, this.tileSize = 256, this.quality = 'default.webp'});
  //
  //
  @override
  toString() {
    return 'IIIFImageSettings( ${this.meta} )';
  }
}
